petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSTrajectorySetUseHistory

Use TSHistory in TSTrajectory

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetUseHistory(TSTrajectory tj,PetscBool flg)

Collective on TSTrajectory

### Input Arguments

| tj | - the TSTrajectory context
| flg | - PETSC_TRUE to save, PETSC_FALSE to disable

### Options Database Keys

-ts_trajectory_use_history -have it use TSHistory

### See Also

TSTrajectoryCreate(), TSTrajectoryDestroy(), TSTrajectorySetUp()

### Level

advanced

### Location

src/ts/trajectory/interface/traj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages